package com.ruoyi.api.service.impl;

import com.ruoyi.api.domain.APKVersion;
import com.ruoyi.api.domain.PdaApkVersion;
import com.ruoyi.api.mapper.PdaApkVersionMapper;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.utils.DateUtils;

import com.ruoyi.api.service.IPdaApkVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 手持版本升级Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-04-06
 */
@Service
public class PdaApkVersionServiceImpl implements IPdaApkVersionService 
{
    @Autowired
    private PdaApkVersionMapper pdaApkVersionMapper;

    /**
     * 查询手持版本升级
     * 
     * @param objid 手持版本升级主键
     * @return 手持版本升级
     */
    @Override
    public PdaApkVersion selectPdaApkVersionByObjid(Long objid)
    {
        return pdaApkVersionMapper.selectPdaApkVersionByObjid(objid);
    }

    /**
     * 查询手持版本升级列表
     * 
     * @param pdaApkVersion 手持版本升级
     * @return 手持版本升级
     */
    @Override
    public List<PdaApkVersion> selectPdaApkVersionList(PdaApkVersion pdaApkVersion)
    {
        return pdaApkVersionMapper.selectPdaApkVersionList(pdaApkVersion);
    }

    /**
     * 新增手持版本升级
     * 
     * @param pdaApkVersion 手持版本升级
     * @return 结果
     */
    @Override
    public int insertPdaApkVersion(PdaApkVersion pdaApkVersion)
    {
        pdaApkVersion.setCreateTime(DateUtils.getNowDate());
        return pdaApkVersionMapper.insertPdaApkVersion(pdaApkVersion);
    }

    /**
     * 修改手持版本升级
     * 
     * @param pdaApkVersion 手持版本升级
     * @return 结果
     */
    @Override
    public int updatePdaApkVersion(PdaApkVersion pdaApkVersion)
    {
        return pdaApkVersionMapper.updatePdaApkVersion(pdaApkVersion);
    }

    /**
     * 批量删除手持版本升级
     * 
     * @param objids 需要删除的手持版本升级主键
     * @return 结果
     */
    @Override
    public int deletePdaApkVersionByObjids(String objids)
    {
        return pdaApkVersionMapper.deletePdaApkVersionByObjids(Convert.toStrArray(objids));
    }

    /**
     * 删除手持版本升级信息
     * 
     * @param objid 手持版本升级主键
     * @return 结果
     */
    @Override
    public int deletePdaApkVersionByObjid(Long objid)
    {
        return pdaApkVersionMapper.deletePdaApkVersionByObjid(objid);
    }


}
